Bug 249172 - Evolution does not honnor imap over TLS
Evolution does not honnor imap over TLS
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
i386 Linux
low Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-21 20:52 EDT by David Kuestler
Modified: 2008-04-10 05:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-10 05:45:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 336543 None None None Never

  None (edit)
Description David Kuestler 2007-07-21 20:52:32 EDT
Description of problem:
Evolution fails trying to retrieve mail over TLS encrypted IMAPS port.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start Evolution
2. 'Edit' -> 'Preferences' -> 'Mail Accounts' -> 'Edit' -> 'Receiving Email'
3. Select 'Server Type:' 'IMAP'
4. Fill in 'Server:' and 'Username:' as appropriate
5. Select 'Use Secure Connection:' 'TLS encrypting'
6. Select other options as needed and 'OK'
7. attempt to fetch email

Actual results:
Evolution timesout trying to retrieve mail.

Expected results:
Evolution should retrieve mail.

Additional info:
Evolution appears to be trying to use the unencrypted imap port 143 which is
logged by my server's firewall. Evolution should use the encrypted imaps port 993.
Evolution under FC6 worked as expected to the same server.
Comment 1 Andre Klapper 2007-08-03 15:12:44 EDT
can you try to explicitly set the port number to 993 by entering the server as
Comment 2 David Kuestler 2007-08-10 19:37:25 EDT
I appended the port number as eg. my.host.com:993 but it still does not work,
though it does use the port 993 which is logged by my desktop firewall.
I suspect that the session is not being encrypted.
I had no trouble with Evolution in FC6, could it be a build option flag or
library not included in the build ?
Comment 3 Milan Crha 2007-11-21 07:46:21 EST
As far as I know, there is no such compiler option.
Is this still happen in latest evolution and evolution-data-server?
Comment 4 David Kuestler 2007-11-22 01:26:44 EST
I am using SSL now instead of TLS in Fedora 7 and 8 clients to a Fedora 6 server
and everything is OK now.
Comment 5 Milan Crha 2008-02-12 05:34:55 EST
I found a bit more info in upstream bug [1] and it also points to other bug,
already fixed (see comment 16 there).
Is it OK for you to close this as upstream, as they know about it?

[1] http://bugzilla.gnome.org/show_bug.cgi?id=336543
Comment 6 Matěj Cepl 2008-04-10 05:45:03 EDT
We believe that this bug is more appropriate to be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.